Modify

Opened 9 months ago

Closed 9 months ago

Last modified 8 months ago

#13609 closed defect (fixed)

--version is too verbose

Reported by: Glassman Owned by: team
Priority: minor Milestone: 16.10
Component: Core Version:
Keywords: template_report command line version log regression gsoc-core Cc: michael2402

Description

What steps will reproduce the problem?

  1. run command to check version
  2. java -jar /usr/share/java/josm.jar --version

Not sure if this is a bug or --version was just enhanced to provide more information. I liked the old way - just give me the version number.

What is the expected result?

One line of text including the version number

What happens instead?

--version reported
Sep 09, 2016 1:22:37 PM org.openstreetmap.josm.Main debug
FINE: System property 'java.locale.providers' set to 'JRE,CLDR'. Old value was 'null'
Sep 09, 2016 1:22:37 PM org.openstreetmap.josm.Main info
INFO: Log level is at INFO (INFO, 800)
JOSM/1.5 (10966 en) Linux Fedora release 24 (Twenty Four)

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-09 02:34:36 +0200 (Fri, 09 Sep 2016)
Build-Date:2016-09-09 01:35:10
Revision:10982
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10982 en) Linux Fedora release 24 (Twenty Four)
Memory Usage: 1011 MB / 7150 MB (918 MB allocated, but free)
Java version: 1.8.0_102-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 3840x1080, :0.1 1920x1080
Maximum Screen Size: 3840x1080
Java package: java-1.8.0-openjdk:x86_64-1.8.0.102

Plugins:
+ ImportImagePlugin (32699)
+ InfoMode (32789)
+ Mapillary (32882)
+ OpeningHoursEditor (32699)
+ alignways (32921)
+ apache-commons (32699)
+ apache-http (32699)
+ buildings_tools (32944)
+ ejml (32680)
+ ext_tools (32796)
+ geochat (32796)
+ geotools (32813)
+ jts (32699)
+ log4j (32699)
+ measurement (32936)
+ opendata (32898)
+ pbf (32865)
+ pdfimport (32796)
+ public_transport (32796)
+ routes (32842)
+ splinex (32918)
+ undelete (32699)
+ utilsplugin2 (32815)
+ wikipedia (32884)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface-DataEntry&zip=1

Last errors/warnings:
- W: Invalid jar file ''<josm.pref>/plugins/buildings_tools.jar.new'' (exists: false, canRead: false)
- W: Invalid jar file ''<josm.pref>/plugins/measurement.jar.new'' (exists: false, canRead: false)

Attachments (0)

Change History (4)

comment:1 Changed 9 months ago by Don-vip

Keywords: command line version log added
Milestone: 16.09

comment:2 Changed 9 months ago by Don-vip

Cc: michael2402 added
Keywords: regression gsoc-core added

comment:3 Changed 9 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 10983/josm:

fix #13609 - --version and --help are too verbose

comment:4 Changed 8 months ago by simon04

Milestone: 16.0916.10

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.